Subject: Re: linux-next: build failure after merge of the kspp-gustavo tree

From: "Gustavo A. R. Silva" <[email-masked]>
Date: Mon, 25 Oct 2021 14:31:02 -0500

On Mon, Oct 25, 2021 at 12:19:15PM -0700, Kees Cook wrote:
> On Mon, Oct 25, 2021 at 12:55:34PM +1100, Stephen Rothwell wrote:
> > Hi all,
> > 
> > On Mon, 18 Oct 2021 19:30:48 +1100 Stephen Rothwell <[email-masked]> wrote:
> > >
> > > Hi all,
> > > 
> > > After merging the kspp-gustavo tree, today's linux-next build (sparc64
> > > defconfig) failed like this:
> > > 
> > > sparc64-linux-gcc: error: unrecognized command line option '-Wcast-function-type'; did you mean '-Wbad-function-cast'?
> > > 
> > > $ sparc64-linux-gcc --version
> > > sparc64-linux-gcc (Custom f51944395b6aa154) 7.3.1 20180130
> > > 
> > > Caused by commit
> > > 
> > >   21078041965e ("Makefile: Enable -Wcast-function-type")
> > > 
> > > I have reverted that commit for today.
> > 
> > I am still reverting that commit ...
> 
> Gustavo, can you please switch this to using cc-option?

Yeah; I actually removed all the patches related to -Wcast-function-type
from my -next branch a few minutes ago:

https://git.kernel.org/pub/scm/linux/kernel/git/gustavoars/linux.git/log/?h=for-next/kspp

I'm currently working on resolving all these conflicts in a separate branch
before merging them again in my -next tree.

Thanks
--
Gustavo